<?php
/**
 * The header template file
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package WordPress
 * @subpackage ExS
 * @since 0.0.1
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}
//topline text
$exs_text = exs_option( 'meta_topline_text', '' );

$exs_fluid              = exs_option( 'topline_fluid' ) ? '-fluid' : '';
$exs_topline_background = exs_option( 'topline_background', '' );
$exs_font_size          = exs_option( 'topline_font_size', '' );
?>
<div id="topline" class="topline <?php echo esc_attr( $exs_topline_background . ' ' . $exs_font_size ); ?>">
	<div class="container<?php echo esc_attr( $exs_fluid ); ?>">
		<?php if ( ! empty( $exs_text ) ) : ?>
			<div id="topline_dropdown" class="dropdown">
				<button id="topline_dropdown_toggle" class="nav-btn type-dots"
						aria-controls="topline_dropdown"
						aria-expanded="false"
						aria-label="<?php esc_attr_e( 'Topline Info Toggler', 'exs' ); ?>"
				>
					<span></span>
				</button>

				<span class="dropdown-menu dropdown-menu-md topline-custom-text">
					<?php if ( ! empty( $exs_text ) ) : ?>
						<span>
						<?php echo wp_kses_post( $exs_text ); ?>
						</span>
					<?php endif; //text ?>
				</span><!-- .topline-custom-text -->
			</div><!-- #topline_dropdown -->
			<?php
		endif; //! empty text
		exs_social_links();
		?>
	</div><!-- .container -->
</div><!-- #topline -->
